#D_Load_Master_Images.py
#2010/03/27 Detta
#指定ディレクトリの指定形式のイメージファイルをマスターイメージに読み込みます。
import sys
dialog = xshade.create_dialog_with_uuid('118CE693-7907-4A95-B591-CC6531581B79')
id_path = dialog.append_path('folder', True, False)
if sys.platform == 'darwin':
	id_type = dialog.append_selection('type/all/png/tiff/bmp/jpg/gif/exr/sgi/pct/tga/raw/hdr/pfm/swf/psd')
else:
	id_type = dialog.append_selection('type/all/bmp/jpg/gif/tiff/png/exr/sgi/pct/tga/ico/pbm/pgm/ppm/targa/hdr/raw/pfm/swf/psd')
if dialog.ask():
	f_path = dialog.get_value(id_path)
	target_path = f_path
	import os
	if os.name in ("nt", "dos"):
		target_path = unicode(target_path, 'utf-8').encode('cp932')
	f_type = dialog.get_value(id_type)
	if sys.platform == 'darwin':
		ext_list =  ['', '.png', '.tiff', '.bmp', '.jpg', '.gif', '.exr', '.sgi', '.pct', '.tga', '.raw', '.hdr', '.pfm', '.swf', '.psd']
	else:
		ext_list = ['', '.bmp', '.jpg', '.gif', '.tiff', '.png', '.exr', '.sgi', '.pct', '.tga', '.ico', '.pbm', '.pgm', '.ppm', '.targa', '.hdr', '.raw', '.pfm', '.swf', '.psd']
	if f_type == 0:
		ext = ext_list
		ext.pop(0)
	else:
		ext = [ext_list[f_type]]
	import os
	scene = xshade.scene()
	for f_name in os.listdir( target_path ):
		if ext.count(os.path.splitext(f_name)[1].lower()) != 0:
			img_path = os.path.join(f_path, f_name)
			try:
				scene.begin_creating()
				img_obj = scene.create_master_image(f_name)
				img_obj.image = xshade.create_image_from_file(img_path)
				scene.end_creating()
			except:
				print img_path + " Load Error"